Bug 1424648 - kernel crash during F28/rawhide 2/15 install
Summary: kernel crash during F28/rawhide 2/15 install
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: aarch64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2017-02-17 23:18 UTC by Jeremy Linton
Modified: 2019-01-09 12:54 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-21 21:43:22 UTC


Attachments (Terms of Use)

Description Jeremy Linton 2017-02-17 23:18:22 UTC
Description of problem: The F26/rawhide installer is failing to complete because the kernel crashes during:

"Performing post-installation setup tasks"



Version-Release number of selected component (if applicable): 

4.10.0-0.rc8.git0.1.fc26.aarch64 (this is built with gcc 7.0.1)


How reproducible: 2 out of 2 tries.


Steps to Reproduce:
1. On ARM Juno, boot installer (no ACPI)
2. Select a install target/packages/etc 
3. start install
4. Wait until the end.

Actual results:

Installing man-pages.noarch (487/487)
Performing post-installation setup tasks
[  745.069325] Internal error: Oops - SP/PC alignment exception: 8a000000 [#2] SMP
[  745.076571] Modules linked in: vfat fat xfs fcoe libfcoe libfc scsi_transport_fc crc32_arm64 crc32_ce crct10dif_ce tda998x ghash_ce clk_scpi itform arm_scpi i2c_designware_core arm_mhu pl330 loop nls_utf8 isofs usb_storage smsc serio_raw radeon(+) i2c_algo_bit ttm hdlcd gpio_keys mmci dc911x mmc_core ambakmi syscopyarea sysfillrect sysimgblt fb_sys_fops ehci_platform drm sky2 sata_sil24 sunrpc lrw dm_crypt dm_round_robin linear ync_raid6_recov async_memcpy libcrc32c async_pq async_xor xor async_tx raid6_pq raid1 raid0 scsi_dh_rdac scsi_dh_hp_sw scsi_dh_emc scsi_dh_alua i_tcp libiscsi squashfs cramfs scsi_transport_iscsi dm_multipath
[  745.138025] CPU: 1 PID: 0 Comm: swapper/1 Tainted: G      D         4.10.0-0.rc8.git0.1.fc26.aarch64 #1
[  745.147328] Hardware name: ARM LTD ARM Juno Development Platform/ARM Juno Development Platform, BIOS EDK II Jan 24 2017
[  745.158007] task: ffff800960020000 task.stack: ffff800970064000
[  745.163866] PC is at 0x34870da884006
[  745.167401] LR is at 0x84034870da884006
[  745.171195] pc : [<00034870da884006>] lr : [<84034870da884006>] pstate: 600001c5
[  745.178518] sp : ffff80096ffe7f30
[  745.181795] x29: 3880aa4090904863 x28: 0000000000000000
[  745.187053] x27: 0000000000000000 x26: ffff800960020000
[  745.192310] x25: ffff000008f23318 x24: ffff8009606a9200
[  745.197567] x23: ffff000008e6f619 x22: ffff000008db95e8
[  745.202824] x21: ffff000008e35000 x20: ffff000008e35000
[  745.208080] x19: 00000000000001c0 x18: 0000000000000729
[  745.213337] x17: 0000ffff92870060 x16: 0000000000000000
[  745.218594] x15: 0000ffff92883cc8 x14: 00000000003991d3
[  745.223850] x13: 071c71c71c71c71c x12: 0000000000000723
[  745.229107] x11: 0000000000000f7e x10: ffff80097fe397a4
[  745.234363] x9 : 000000000000063b x8 : ffff80097fe397c4
[  745.239620] x7 : 00000000ffffffff x6 : 00000001b79e2c20
[  745.244877] x5 : 00ffffffffffffff x4 : 0000800977080000
[  745.250134] x3 : ffff000008e5e780 x2 : ffff80097fe24dd8
[  745.255391] x1 : ffff80097fe24de4 x0 : 0000000000027590
[  745.260647]
[  745.262119] Process swapper/1 (pid: 0, stack limit = 0xffff800970064000)
[  745.268750] Stack: (0xffff80096ffe7f30 to 0xffff800970068000)
[  745.274437] 7f20:                                   443c87a76a027549 104a594629401f00
[  745.282190] 7f40: 04004d204024e80c e09444408082917a 0428600c1c584003 a240a14c25620ecb
[  745.289944] 7f60: 458fac6100db1444 c922fd028a11a973 3260ce05801b3750 d44004485441c358
[  745.297698] 7f80: 1214c44d07810021 06e35201c9004801 22012d3262019cda 0230386101000342
[  745.305452] 7fa0: 120a24d882d20bc1 0e135b0b498301a1 111a190ca593c000 0148246c190b2129
[  745.313206] 7fc0: 384762613825f882 18d04c06044006a1 95e0655814808044 0640245027641173
[  745.320959] 7fe0: 1018a48801a42025 0102688a88862203 2002f90a0242091c 84012b2e2320410f
[  745.328713] 8000: 00436ca401130214 146089c08c01560d 04722406783e60d4 12a8300245702042
[  745.336467] 8020: 4200e44128c48850 5c05854cca939020 2e8a821832c38501 1600e6359e1c0012
[  745.344221] 8040: 226042c420281e02 200a1d9020c02092 52003014d0ae1956 500d219c224e1300
[  745.351974] 8060: e802054a1e81240e 26820c4b99208b49 0840226414842c34 f520a5563411a180
[  745.359728] 8080: 4147182340a50250 1e518a10e0281411 0114906900400644 00a0d4092aa88a00
[  745.367482] 80a0: 0178b028870f0a5b 81d3b09801282030 643206cd4cc08618 f51a2c63205f060d
[  745.375235] 80c0: 20290214c04400b2 10e4b089a058120e 14702054344c088d c4873892280063d4
[  745.382989] 80e0: 03a01b4146203994 06b498aa46380b90 1f10f18c10028070 60447251d0585904
[  745.390743] 8100: 4c400008303c2041 e9c1681602031c09 3850481db1add0a3 018fb4241a482623
[  745.398496] 8120: e444129a4f0ad620 044fc1000104064f 300a8e71718ce148 b41ca5903a0f4118
[  745.406250] 8140: d1003d2d03041109 4022a80015a94803 660b1073c1802600 7189500144083100
[  745.414004] 8160: 03d54c408a011260 5598872c02ac9e1f 0810150001080004 012041100b0f98cb
[  745.421758] 8180: 010a020808020401 0010564110200213 0e0f509000261401 002e3081040ec970

(few thousand lines trimmed)

[  872.610704] 7e20: 0000800977080000 00ffffffffffffff 00000001b79e2c20 00000000ffffffff
[  872.618457] 7e40: ffff80097fe397c4 000000000000063b ffff80097fe397a4 0000000000000f7e
[  872.626211] 7e60: 0000000000000723 071c71c71c71c71c 00000000003991d3 0000ffff92883cc8
[  872.633965] [<00034870da884006>] 0x34870da884006
[  872.638535] Code: bad PC value
[  872.641634] ---[ end trace c033575aa8c969d8 ]---
[  872.641826] systemd-journald[1339]: /dev/kmsg buffer overrun, some messages lost.
[  872.653630] Kernel panic - not syncing: Attempted to kill the idle task!
[  872.653632] SMP: stopping secondary CPUs
[  872.653758] Kernel Offset: disabled
[  872.653759] Memory Limit: none
[  872.670737] ---[ end Kernel panic - not syncing: Attempted to kill the idle task!

Comment 1 Peter Robinson 2017-08-06 17:30:02 UTC
Still an issue with 4.11+?

Comment 2 Jeremy Linton 2017-08-09 20:26:11 UTC
This isn't a kernel problem (AFAIK), but its still an issue. There seems to be something going on with the EFI variable store on juno. I guess it can be closed out unless we want to keep it around as a FYI (and to remind me to come up with a better solution than offlining cores to install RH/Fedora with the latest builds).

Comment 3 Laura Abbott 2018-04-06 18:40:45 UTC
I'm cleaning up rawhide bugs, do you want this open?

Comment 4 Jeremy Linton 2018-05-21 21:42:26 UTC
This is still a problem (for sure its firmware), lets change the target. Although if someone closes it, it won't hurt my feelings.


Note You need to log in before you can comment on or make changes to this bug.